[Git] 版本控制: 如何使用標籤(Tag)

Git Tag 功能就如同 Cvs Tag 是一樣的,您可以在專案裡面隨意新增 Tag,方便您紀錄訊息,底下一些基本的操作來學習如何使用標籤(Tag)功能(新增標籤、以及各種不同類型標籤之間的差別)。

列出既有標籤

直接使用 git tag 即可
$ git tag -l
v0.1
v1.3
如果整個專案過多 Tag 也可以透過底下方式搜尋出來
$ git tag -l 'v1.4.2.*'
v1.4.2.1
v1.4.2.2
v1.4.2.3
v1.4.2.4
Continue reading “[Git] 版本控制: 如何使用標籤(Tag)”

CodeIgniter 2.0 發展狀況(現在更棒了) 不再支援 PHP4

CodeIgniter
CodeIgniter 在官網正式公告了一篇 2.0 目前的狀況及改善 CodeIgniter 2.0 – Now with more Awesome,該篇重點莫過於 CI 2.0 將不再支援 PHP 4.0 版本了,這是一項重大改變,官方給目前版本取了一個名稱:CodeIgniterNoPhp4,看到這名字大概就可以知道官方要捨棄 PHP4 了。 自從 CodeIgniter 將所有程式碼搬到 Bitbucket 上面時,就已經宣稱不再 support PHP4,運行了好幾個月,現在以 PHP 5.1.6 來當作開發重點,底下是官方說明 CI 2.0 該注意的地方(其實還有很多地方要注意): 1. 所有類別將以 CI_ 當作前置符號 2. 因為不支援 PHP4 了,所以建構子一律改成 __construct 3. CI_Base 已經被移除,取而代之的是 CI_Controller 4. 之前有提供 Compatibility 輔助函數,目前已經支援 PHP5 了,故將此移除 開始支援 Email and Validation chaining,看一下範例:
$this->email->from('your@example.com', 'Your Name')
            ->to('someone@example.com')
            ->cc('another@another-example.com')
            ->bcc('them@their-example.com')
            ->subject('Email Test')
            ->message('Testing the email class.')
            ->send(); 
最後官方作者有提到一些事情:ExpressionEngine and CodeIgniter 將不再支援 PHP4,PHP4 從2000年出來,到 2007 年結束,重點來了,官方說 PHP 4 帶給您的困擾,就如同現在 Internet Explorer 6。 可以參考: What’s New in CodeIgniter 2.0